Skip to main content
GET
Get payments for a merchant

Authorizations

X-Api-Key
string
header
required

Deprecated. Legacy service API key for path-based routes. Api-Key header is also accepted for backward compatibility.

Path Parameters

merchant_id
string
required

Query Parameters

start_ts
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
end_ts
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$
asset
string
network
string
sort_by
enum<string>
Available options:
date,
amount
sort_dir
enum<string>
Available options:
asc,
desc
cursor
string
limit
integer
Required range: 1 <= x <= 200
status
Available options:
requires_action,
processing,
succeeded,
failed,
expired

Response

Payments with statistics

data
object[]
required
stats
object
required
next_cursor
string | null